## LassoSamlp2Extensions LassoSamlp2Extensions — <samlp2:Extensions> |

## Functions

LassoNode * | lasso_samlp2_extensions_new ()

## Types and Values

struct | LassoSamlp2Extensions

## Description

Figure 74. Schema fragment for samlp2:Extensions

    <complexType name="ExtensionsType">
      <sequence>
        <any namespace="##other" processContents="lax" maxOccurs="unbounded"/>
      </sequence>
    </complexType>

To specify the content of this object you must attach an xmlNode to it using `lasso_node_set_original_xmlnode()`. The content (attributes, children and namespaces) of this node will be copied to the result node returned by calls to `lasso_node_get_xmlNode()`.

## Functions

### lasso_samlp2_extensions_new ()

    LassoNode *
    lasso_samlp2_extensions_new (void);

Creates a new LassoSamlp2Extensions object.

#### Returns

a newly created LassoSamlp2Extensions object

## Types and Values

### struct LassoSamlp2Extensions

    struct LassoSamlp2Extensions {
    	LassoNode parent;
    };